#ifndef EGSTRA_FG_TOKEN_H
#define EGSTRA_FG_TOKEN_H

/* FGToken : a class that generates features for each token in a
   sentence.  The features are based on POS tags, lemmas, word
   identities, etc. */


#include <list>
#include <string>

#include "Sentence.h"

namespace egstra {
  class fg_token {
  public:
    static void phi(const sentence* const x, std::list<std::string> F[],
		    const int word_limit, const bool use_pos);
  };
}

#endif /* EGSTRA_FG_TOKEN_H */
