#include "FGen.h"

#include "Pattern.h"
#include <assert.h>
#include <iostream>

using namespace std;

namespace egstra {
  void fgen::load_dictionaries() {
    cerr << "*** error : " << _name
	 << "::load_dictionaries() not implemented" << endl;
    assert(0);
  }
  void fgen::save_dictionaries() {
    cerr << "*** error : " << _name
	 << "::save_dictionaries() not implemented" << endl;
    assert(0);
  }
  void fgen::part_to_fvec_coordinates(const pattern* const x, const int r, int *fv_index, int *offset) {
    cerr << "*** error : " << _name
	 << "::part_to_fvec_coordinates(x,r,f,o) not implemented" << endl;
    assert(0);
  }
  const struct fvec* fgen::phi(const pattern* const x, const int r) {
    cerr << "*** error : " << _name
	 << "::phi(x,r) not implemented" << endl;
    assert(0);
    return NULL;
  }
  void fgen::discard(const struct fvec* const F,
		     const pattern* const x, const int r) {
    cerr << "*** error : " << _name
	 << "::discard(F,x,r) not implemented" << endl;
    assert(0);
  }
}
